com.io7m.jcanephora.fake

## Interface JCGLImplementationFakeType

- All Superinterfaces:
    JCGLImplementationType
  All Known Implementing Classes:
    JCGLImplementationFake

      public interface JCGLImplementationFakeType
      extends JCGLImplementationType

  Fake-specific interface to JCGL implementations.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLContextType` | `newContext(String name, FakeShaderListenerType in_listener)` Construct a new context.
    `JCGLContextType` | `newContextSharedWith(JCGLContextType c, String name, FakeShaderListenerType in_listener)` Construct a new context, shared with an existing context.

- - ### Method Detail

    - #### newContext

          JCGLContextType newContext(String name,
                                     FakeShaderListenerType in_listener)
                              throws JCGLException,
                                     JCGLExceptionUnsupported,
                                     JCGLExceptionNonCompliant

      Construct a new context.
      Parameters:
        `name` - The name of the new context
        `in_listener` - A shader listener that will be notified of shader compilations
      Returns:
        A new context
      Throws:
        `JCGLException` - On errors
        `JCGLExceptionUnsupported` - If the context is of a version that is not supported
        `JCGLExceptionNonCompliant` - If the implementation constraints yield an implementation that is not OpenGL compliant

    - #### newContextSharedWith

          JCGLContextType newContextSharedWith(JCGLContextType c,
                                               String name,
                                               FakeShaderListenerType in_listener)
                                        throws JCGLException,
                                               JCGLExceptionUnsupported,
                                               JCGLExceptionNonCompliant

      Construct a new context, shared with an existing context.
      Parameters:
        `c` - The existing context
        `name` - The name of the new context
        `in_listener` - A shader listener that will be notified of shader compilations
      Returns:
        A new context
      Throws:
        `JCGLException` - On errors
        `JCGLExceptionUnsupported` - If the context is of a version that is not supported
        `JCGLExceptionNonCompliant` - If the implementation constraints yield an implementation that is not OpenGL compliant

Copyright © 2016 <code@io7m.com> http://io7m.com